package jp.sourceforge.projects.ee2e.core.editors;
import org.eclipse.jface.action.Action;
import jp.sourceforge.projects.ee2e.core.EE2EPlugin;
import jp.sourceforge.projects.ee2e.core.cf.EE2EGetFactory;

/**
 * To change this generated comment edit the template variable "typecomment":
 * Window&gt;Preferences&gt;Java&gt;Templates.
 * To enable and disable the creation of type comments go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation.
 *
 * @author Toshikazu Ando [ ando@park.ruru.ne.jp ]
 */
public class EE2EReload extends Action {
    public EE2EReload() {
        this.setText(
            EE2EPlugin.getResourceString("action.setup") + "(&r)");
        this.setToolTipText("action.setup.tooltip");
    }

    /* (non-Javadoc)
     * @see org.eclipse.jface.action.IAction#run()
     */
    public void run() {
        EE2EToolkit.get().clearEe2eMap();
        EE2EGetFactory.get().clearInstance();
    }
}
